> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tessera.edstratumlabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Put apiv1courses test out



## OpenAPI

````yaml /api/openapi.json put /api/v1/courses/{courseId}/test-out
openapi: 3.1.0
info:
  title: Tessera API
  version: '1'
servers:
  - url: https://tessera.edstratumlabs.ai
    description: Production
security: []
paths:
  /api/v1/courses/{courseId}/test-out:
    put:
      tags:
        - courses
      operationId: saveTestOut
      parameters:
        - name: courseId
          in: path
          required: true
          schema:
            type: string
            minLength: 1
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                items:
                  minItems: 1
                  maxItems: 50
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: string
                        minLength: 1
                      question:
                        type: string
                        minLength: 1
                      options:
                        minItems: 2
                        maxItems: 6
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              minLength: 1
                            text:
                              type: string
                              minLength: 1
                          required:
                            - id
                            - text
                      correctOptionId:
                        type: string
                        minLength: 1
                    required:
                      - id
                      - question
                      - options
                      - correctOptionId
                passPercent:
                  type: integer
                  minimum: 1
                  maximum: 100
              required:
                - items
                - passPercent
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TestOut'
        '400':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '401':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '403':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '404':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '409':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '429':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
      security:
        - bearerAuth: []
components:
  schemas:
    TestOut:
      type: object
      properties:
        courseId:
          type: string
          minLength: 1
        items:
          minItems: 1
          maxItems: 50
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                minLength: 1
              question:
                type: string
                minLength: 1
              options:
                minItems: 2
                maxItems: 6
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      minLength: 1
                    text:
                      type: string
                      minLength: 1
                  required:
                    - id
                    - text
                  additionalProperties: false
              correctOptionId:
                type: string
                minLength: 1
            required:
              - id
              - question
              - options
              - correctOptionId
            additionalProperties: false
        passPercent:
          type: integer
          minimum: 1
          maximum: 100
        updatedBy:
          type: string
          minLength: 1
        updatedAt:
          type: string
          minLength: 1
      required:
        - courseId
        - items
        - passPercent
        - updatedBy
        - updatedAt
      additionalProperties: false
    ApiErrorBody:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
              enum:
                - unauthenticated
                - forbidden
                - not-found
                - invalid
                - conflict
                - not-ready
                - ai-disabled
                - ai-failed
                - rate-limited
                - too-large
                - unsupported
            message:
              type: string
            details: {}
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Scoped tsk_… API token or Access JWT

````